package javax.swing;

import javax.swing.event.ListSelectionListener;

public interface ListSelectionModel
{
    public static final int SINGLE_SELECTION = 0;
    public static final int SINGLE_INTERVAL_SELECTION = 1;
    public static final int MULTIPLE_INTERVAL_SELECTION = 2;
    
    public abstract void setSelectionInterval(int p0, int p1);
    
    public abstract void addSelectionInterval(int p0, int p1);
    
    public abstract void removeSelectionInterval(int p0, int p1);
    
    public abstract int getMinSelectionIndex();
    
    public abstract int getMaxSelectionIndex();
    
    public abstract boolean isSelectedIndex(int p0);
    
    public abstract int getAnchorSelectionIndex();
    
    public abstract void setAnchorSelectionIndex(int p0);
    
    public abstract int getLeadSelectionIndex();
    
    public abstract void setLeadSelectionIndex(int p0);
    
    public abstract void clearSelection();
    
    public abstract boolean isSelectionEmpty();
    
    public abstract void insertIndexInterval(int p0, int p1, boolean p2);
    
    public abstract void removeIndexInterval(int p0, int p1);
    
    public abstract void setValueIsAdjusting(boolean p0);
    
    public abstract boolean getValueIsAdjusting();
    
    public abstract void setSelectionMode(int p0);
    
    public abstract int getSelectionMode();
    
    public abstract void addListSelectionListener(ListSelectionListener p0);
    
    public abstract void removeListSelectionListener(ListSelectionListener p0);
}
